--- old/usr/src/cmd/hwdata/pci.ids	2013-06-23 14:18:28.712044842 +0200
+++ new/usr/src/cmd/hwdata/pci.ids	2013-06-23 14:18:28.726905356 +0200
@@ -16315,29 +18768,33 @@
 		8086 a06f  10-Gigabit XF LR Server Adapter
 	10f5  82567LM Gigabit Network Connection
 	10f6  82574L Gigabit Network Connection
-	10f7  82599EB 10-Gigabit KX4 Network Connection
+	10f7  10 Gigabit BR KX4 Dual Port Network Connection
 		108e 7b12  Sun Dual 10GbE PCIe 2.0 FEM
 		8086 000d  Ethernet Mezzanine Adapter X520-KX4-2
-	10f8  82599EB 10 Gigabit Dual Port Backplane Connection
+	10f8  82599 10 Gigabit Dual Port Backplane Connection
 		1028 1f63  10GbE 2P X520k bNDC
 		103c 17d2  Ethernet 10Gb 2-port 560M Adapter
 		103c 18d0  Ethernet 10Gb 2-port 560FLB Adapter
 		8086 000c  Ethernet X520 10GbE Dual Port KX4-KR Mezz
-	10f9  82599EB 10 Gigabit CX4 Dual Port Network Connection
+	10f9  82599 10 Gigabit Dual Port Network Connection
 	10fb  82599EB 10-Gigabit SFI/SFP+ Network Connection
+		1028 1f72  Ethernet 10G 4P X520/I350 rNDC
 		103c 17d0  Ethernet 10Gb 2-port 560FLR-SFP+ Adapter
 		103c 17d2  Ethernet 10Gb 2-port 560M Adapter
 		103c 17d3  Ethernet 10Gb 2-port 560SFP+ Adapter
+		103c 211b  Ethernet 10Gb 1-port P560FLR-SFP+ Adapter
+		103c 2147  Ethernet 10Gb 1-port 561i Adapter
 		108e 7b11  Ethernet Server Adapter X520-2
 		1734 11a9  10 Gigabit Dual Port Network Connection
 		8086 0002  Ethernet Server Adapter X520-DA2
 		8086 0003  Ethernet Server Adapter X520-2
 		8086 0006  Ethernet Server Adapter X520-1
+		8086 0008  Ethernet OCP Server Adapter X520-2
 		8086 000a  Ethernet Server Adapter X520-1
 		8086 000c  Ethernet Server Adapter X520-2
 		8086 7a11  Ethernet Server Adapter X520-2
 		8086 7a12  Ethernet Server Adapter X520-2
-	10fc  82599EB 10-Gigabit XAUI/BX4 Network Connection
+	10fc  82599 10 Gigabit Dual Port Network Connection
 	10fe  82552 10/100 Network Connection
 	1107  PRO/1000 MF Server Adapter (LX)
 	1130  82815 815 Chipset Host Bridge and Memory Controller Hub
@@ -16560,9 +19017,10 @@
 	1462  82870P2 P64H2 Hot Plug Controller
 	1501  82567V-3 Gigabit Network Connection
 	1502  82579LM Gigabit Network Connection
+		1028 04a3  Precision M4600
 	1503  82579V Gigabit Network Connection
 		1043 849c  P8P67 Deluxe Motherboard
-	1507  82599EB 10 Gigabit Network Connection
+	1507  Ethernet Express Module X520-P2
 	1508  82598EB Gigabit BX Network Connection
 	150a  82576NS Gigabit Network Connection
 	150b  82598EB 10-Gigabit AT2 Server Adapter
@@ -16579,7 +19037,7 @@
 	150f  82580 Gigabit Fiber Network Connection
 	1510  82580 Gigabit Backplane Connection
 	1511  82580 Gigabit SFP Connection
-	1514  82599EB 10 Gigabit KX4 Network Connection
+	1514  Ethernet X520 10GbE Dual Port KX4 Mezz
 		8086 000b  Ethernet X520 10GbE Dual Port KX4 Mezz
 	1515  X540 Ethernet Controller Virtual Function
 	1516  82580 Gigabit Network Connection
@@ -16588,15 +19046,16 @@
 	1517  82599ES 10 Gigabit Network Connection
 		1137 006a  UCS CNA M61KR-I Intel Converged Network Adapter
 	1518  82576NS SerDes Gigabit Network Connection
-	151c  82599EB 10 Gigabit TN Network Connection
+	151c  82599 10 Gigabit TN Network Connection
 		108e 7b13  Dual 10GBASE-T LP
 	1520  I350 Ethernet Controller Virtual Function
 	1521  I350 Gigabit Network Connection
 		1028 1f60  Intel GbE 4P I350crNDC
 		1028 1f62  Intel GbE 2P I350crNDC
+		103c 17d1  Ethernet 1Gb 4-port 366FLR Adapter
 		103c 337f  Ethernet 1Gb 2-port 361i Adapter
 		103c 3380  Ethernet 1Gb 4-port 366i Adapter
-		103c 339e  Ethernet 1Gb 2-port 361T Adapter [Wharton Stony Lake]
+		103c 339e  Ethernet 1Gb 2-port 361T Adapter
 		108e 7b16  Quad Port GbE PCIe 2.0 ExpressModule, UTP
 		108e 7b18  Quad Port GbE PCIe 2.0 Low Profile Adapter, UTP
 		10a9 802a  UV2-BaseIO dual-port GbE
@@ -16612,12 +19071,14 @@
 		8086 0002  Ethernet Server Adapter I350-T2
 		8086 0003  Ethernet Server Adapter I350-F4
 		8086 0004  Ethernet Server Adapter I350-F2
+		8086 0005  Ethernet Server Adapter I350-F1
+		8086 00a2  Ethernet Server Adapter I350-T2
 		8086 00a3  Ethernet Server Adapter I350-F4
 		8086 00a4  Ethernet Server Adapter I350-F2
 	1523  I350 Gigabit Backplane Connection
-		103c 1784  Ethernet 1Gb 2-port 361FLB Adapter [Badger Flat]
+		103c 1784  Ethernet 1Gb 2-port 361FLB Adapter
 		103c 18d1  Ethernet 1Gb 2-port 361FLB Adapter
-		103c 339f  Ethernet 1Gb 4-port 366M Adapter [Vaca Key]
+		103c 339f  Ethernet 1Gb 4-port 366M Adapter
 		8086 1f52  1GbE 4P I350 Mezz
 	1524  I350 Gigabit Connection
 	1525  82567V-4 Gigabit Network Connection
@@ -16628,22 +19089,49 @@
 		8086 0001  Ethernet Server Adapter I340-F4
 		8086 0002  Ethernet Server Adapter I340-F4
 	1528  Ethernet Controller 10-Gigabit X540-AT2
+		1028 1f61  Ethernet 10G 4P X540/I350 rNDC
+		103c 192d  561FLR-T 2-port 10Gb Ethernet Adapter
+		103c 211a  Ethernet 10Gb 2-port 561T Adapter
 		108e 7b14  Sun Dual Port 10 GbE PCIe 2.0 ExpressModule, Base-T
 		108e 7b15  Sun Dual Port 10 GbE PCIe 2.0 Low Profile Adapter, Base-T
+		1137 00bf  Ethernet Converged Network Adapter X540-T2
 		8086 0001  Ethernet Converged Network Adapter X540-T2
 		8086 0002  Ethernet Converged Network Adapter X540-T1
 		8086 001a  Ethernet Converged Network Adapter X540-T2
 		8086 00a2  Ethernet Converged Network Adapter X540-T1
 		8086 1f61  Ethernet 10G 4P X540/I350 rNDC
 		8086 5003  Ethernet 10G 2P X540-t Adapter
-	1529  82599 10 Gigabit Dual Port Backplane Connection with FCoE
-	152a  82599 10 Gigabit Dual port Network Connection with FCoE
+	1529  82599 10 Gigabit Dual Port Network Connection with FCoE
+	152a  82599 10 Gigabit Dual Port Backplane Connection with FCoE
+	1533  I210 Gigabit Network Connection
+		103c 0003  Ethernet Server Adapter I210-T1
+		8086 0001  Ethernet Server Adapter I210-T1
+		8086 0002  Ethernet Server Adapter I210-T1
+	1534  I210 Gigabit Network Connection
+	1536  I210 Gigabit Fiber Network Connection
+	1537  I210 Gigabit Backplane Connection
+	1538  I210 Gigabit Network Connection
+	1539  I211 Gigabit Network Connection
+	153a  Ethernet Connection I217-LM
+	153b  Ethernet Connection I217-V
+	1547  DSL3510 Thunderbolt Port [Cactus Ridge]
+	1549  DSL3510 Thunderbolt Controller [Cactus Ridge]
 	154a  Ethernet Server Adapter X520-4
 		8086 011a  Ethernet Converged Network Adapter X520-4
 		8086 011b  Ethernet Converged Network Adapter X520-4
 		8086 011c  Ethernet Converged Network Adapter X520-4
-	154d  82599EB 10-Gigabit SFP+ Network Connection
+	154d  Ethernet 10G 2P X520 Adapter
 		8086 7b11  10GbE 2P X520 Adapter
+	1557  82599 10 Gigabit Network Connection
+		8086 0001  Ethernet OCP Server Adapter X520-1
+	1559  Ethernet Connection I218-V
+	155a  Ethernet Connection I218-LM
+	155c  Ethernet Server Bypass Adapter
+		8086 0001  Ethernet Server Bypass Adapter X540-T2
+	155d  Ethernet Server Bypass Adapter
+		8086 0001  Ethernet Server Bypass Adapter X520-SR2
+	1560  Ethernet Controller X540-AT1
+	157b  I210 Gigabit Network Connection
 	1960  80960RP (i960RP) Microprocessor
 		101e 0431  MegaRAID 431 RAID Controller
 		101e 0438  MegaRAID 438 Ultra2 LVD RAID Controller
@@ -16693,46 +19181,78 @@
 		1028 04aa  XPS 8300
 		1043 844d  P8P67 Deluxe Motherboard
 	1c03  6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
+		1028 04a3  Precision M4600
 		1028 04b2  Vostro 3350
+		1028 04da  Vostro 3750
+		8086 7270  Apple MacBookPro8,2 [Core i7, 15", 2011]
 	1c04  6 Series/C200 Series Chipset Family SATA RAID Controller
 	1c05  6 Series/C200 Series Chipset Family SATA RAID Controller
 	1c08  6 Series/C200 Series Chipset Family 2 port SATA IDE Controller
 	1c09  6 Series/C200 Series Chipset Family 2 port SATA IDE Controller
 	1c10  6 Series/C200 Series Chipset Family PCI Express Root Port 1
+		1028 04aa  XPS 8300
+		1028 04da  Vostro 3750
+		8086 7270  Apple MacBookPro8,2 [Core i7, 15", 2011]
 	1c12  6 Series/C200 Series Chipset Family PCI Express Root Port 2
+		1028 04aa  XPS 8300
+		8086 7270  Apple MacBookPro8,2 [Core i7, 15", 2011]
 	1c14  6 Series/C200 Series Chipset Family PCI Express Root Port 3
+		1028 04da  Vostro 3750
+		8086 7270  Apple MacBookPro8,2 [Core i7, 15", 2011]
 	1c16  6 Series/C200 Series Chipset Family PCI Express Root Port 4
+		1028 04aa  XPS 8300
 	1c18  6 Series/C200 Series Chipset Family PCI Express Root Port 5
+		1028 04da  Vostro 3750
 	1c1a  6 Series/C200 Series Chipset Family PCI Express Root Port 6
+		1028 04da  Vostro 3750
 	1c1c  6 Series/C200 Series Chipset Family PCI Express Root Port 7
 	1c1e  6 Series/C200 Series Chipset Family PCI Express Root Port 8
 	1c20  6 Series/C200 Series Chipset Family High Definition Audio Controller
 		1028 0490  Alienware M17x R3
+		1028 04a3  Precision M4600
 		1028 04aa  XPS 8300
 		1028 04b2  Vostro 3350
+		1028 04da  Vostro 3750
 		1043 8418  P8P67 Deluxe Motherboard
+# Realtek ALC888 audio codec
+		8086 2008  DQ67SW board
+		8086 7270  Apple MacBookPro8,2 [Core i7, 15", 2011]
 	1c22  6 Series/C200 Series Chipset Family SMBus Controller
+		1028 04a3  Precision M4600
 		1028 04aa  XPS 8300
 		1028 04b2  Vostro 3350
+		1028 04da  Vostro 3750
 		1043 844d  P8P67 Deluxe Motherboard
+		8086 7270  Apple MacBookPro8,2 [Core i7, 15", 2011]
 	1c24  6 Series/C200 Series Chipset Family Thermal Management Controller
 	1c25  6 Series/C200 Series Chipset Family DMI to PCI Bridge
 	1c26  6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
+		1028 04a3  Precision M4600
 		1028 04aa  XPS 8300
 		1028 04b2  Vostro 3350
+		1028 04da  Vostro 3750
 		1043 844d  P8P67 Deluxe Motherboard
+		8086 7270  Apple MacBookPro8,2 [Core i7, 15", 2011]
 	1c27  6 Series/C200 Series Chipset Family USB Universal Host Controller #1
+		8086 7270  Apple MacBookPro8,2 [Core i7, 15", 2011]
 	1c2c  6 Series/C200 Series Chipset Family USB Universal Host Controller #5
+		8086 7270  Apple MacBookPro8,2 [Core i7, 15", 2011]
 	1c2d  6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
+		1028 04a3  Precision M4600
 		1028 04aa  XPS 8300
 		1028 04b2  Vostro 3350
+		1028 04da  Vostro 3750
 		1043 844d  P8P67 Deluxe Motherboard
+		8086 7270  Apple MacBookPro8,2 [Core i7, 15", 2011]
 	1c33  6 Series/C200 Series Chipset Family LAN Controller
 	1c35  6 Series/C200 Series Chipset Family VECI Controller
 	1c3a  6 Series/C200 Series Chipset Family MEI Controller #1
+		1028 04a3  Precision M4600
 		1028 04aa  XPS 8300
 		1028 04b2  Vostro 3350
+		1028 04da  Vostro 3750
 		1043 844d  P8P67 Deluxe Motherboard
+		8086 7270  Apple MacBookPro8,2 [Core i7, 15", 2011]
 	1c3b  6 Series/C200 Series Chipset Family MEI Controller #2
 	1c3c  6 Series/C200 Series Chipset Family IDE-r Controller
 	1c3d  6 Series/C200 Series Chipset Family KT Controller
@@ -16747,14 +19267,17 @@
 	1c47  UM67 Express Chipset Family LPC Controller
 	1c48  6 Series/C200 Series Chipset Family LPC Controller
 	1c49  HM65 Express Chipset Family LPC Controller
+		8086 7270  Apple MacBookPro8,2 [Core i7, 15", 2011]
 	1c4a  H67 Express Chipset Family LPC Controller
 		1028 04aa  XPS 8300
 	1c4b  HM67 Express Chipset Family LPC Controller
 		1028 04b2  Vostro 3350
+		1028 04da  Vostro 3750
 	1c4c  Q65 Express Chipset Family LPC Controller
 	1c4d  QS67 Express Chipset Family LPC Controller
 	1c4e  Q67 Express Chipset Family LPC Controller
 	1c4f  QM67 Express Chipset Family LPC Controller
+		1028 04a3  Precision M4600
 	1c50  B65 Express Chipset Family LPC Controller
 	1c51  6 Series/C200 Series Chipset Family LPC Controller
 	1c52  C202 Chipset Family LPC Controller
@@ -16835,69 +19358,161 @@
 	1d72  C608 chipset SMBus Controller 2
 	1d74  C608/C606/X79 series chipset PCI Express Upstream Port
 	1d76  C600/X79 series chipset Multi-Function Glue
-	1e00  Panther Point 4 port SATA Controller [IDE mode]
-	1e01  Panther Point 4 port SATA Controller [IDE mode]
-	1e02  Panther Point 6 port SATA Controller [AHCI mode]
-	1e03  Panther Point 6 port SATA Controller [AHCI mode]
-	1e04  Panther Point SATA Controller [RAID mode]
-	1e05  Panther Point SATA Controller [RAID mode]
-	1e06  Panther Point SATA Controller [Premium RAID mode]
-	1e07  Panther Point SATA Controller [Premium RAID mode]
-	1e08  Panther Point 2 port SATA Controller [IDE mode]
-	1e09  Panther Point 2 port SATA Controller [IDE mode]
-	1e0e  Panther Point SATA Controller [RAID mode]
-	1e10  Panther Point PCI Express Root Port 1
-	1e12  Panther Point PCI Express Root Port 2
-	1e14  Panther Point PCI Express Root Port 3
-	1e16  Panther Point PCI Express Root Port 4
-	1e18  Panther Point PCI Express Root Port 5
-	1e1a  Panther Point PCI Express Root Port 6
-	1e1c  Panther Point PCI Express Root Port 7
-	1e1e  Panther Point PCI Express Root Port 8
-	1e20  Panther Point High Definition Audio Controller
-	1e22  Panther Point SMBus Controller
-	1e24  Panther Point Thermal Management Controller
-	1e25  Panther Point DMI to PCI Bridge
-	1e26  Panther Point USB Enhanced Host Controller #1
-	1e2d  Panther Point USB Enhanced Host Controller #2
-	1e31  Panther Point USB xHCI Host Controller
-	1e33  Panther Point LAN Controller
-	1e3a  Panther Point MEI Controller #1
-	1e3b  Panther Point MEI Controller #2
-	1e3c  Panther Point IDE-r Controller
-	1e3d  Panther Point KT Controller
-	1e40  Panther Point LPC Controller
-	1e41  Panther Point LPC Controller
-	1e42  Panther Point LPC Controller
-	1e43  Panther Point LPC Controller
-	1e44  Panther Point LPC Controller
-	1e45  Panther Point LPC Controller
-	1e46  Panther Point LPC Controller
-	1e47  Panther Point LPC Controller
-	1e48  Panther Point LPC Controller
-	1e49  Panther Point LPC Controller
-	1e4a  Panther Point LPC Controller
-	1e4b  Panther Point LPC Controller
-	1e4c  Panther Point LPC Controller
-	1e4d  Panther Point LPC Controller
-	1e4e  Panther Point LPC Controller
-	1e4f  Panther Point LPC Controller
-	1e50  Panther Point LPC Controller
-	1e51  Panther Point LPC Controller
-	1e52  Panther Point LPC Controller
-	1e53  Panther Point LPC Controller
-	1e54  Panther Point LPC Controller
-	1e55  Panther Point LPC Controller
-	1e56  Panther Point LPC Controller
-	1e57  Panther Point LPC Controller
-	1e58  Panther Point LPC Controller
-	1e59  Panther Point LPC Controller
-	1e5a  Panther Point LPC Controller
-	1e5b  Panther Point LPC Controller
-	1e5c  Panther Point LPC Controller
-	1e5d  Panther Point LPC Controller
-	1e5e  Panther Point LPC Controller
-	1e5f  Panther Point LPC Controller
+	1e00  7 Series/C210 Series Chipset Family 4-port SATA Controller [IDE mode]
+	1e01  7 Series Chipset Family 4-port SATA Controller [IDE mode]
+	1e02  7 Series/C210 Series Chipset Family 6-port SATA Controller [AHCI mode]
+		1043 84ca  P8H77-I Motherboard
+	1e03  7 Series Chipset Family 6-port SATA Controller [AHCI mode]
+		1043 1477  N56VZ
+		1043 1517  Zenbook Prime UX31A
+	1e04  7 Series/C210 Series Chipset Family SATA Controller [RAID mode]
+	1e05  7 Series Chipset SATA Controller [RAID mode]
+	1e06  7 Series/C210 Series Chipset Family SATA Controller [RAID mode]
+	1e07  7 Series Chipset Family SATA Controller [RAID mode]
+	1e08  7 Series/C210 Series Chipset Family 2-port SATA Controller [IDE mode]
+	1e09  7 Series Chipset Family 2-port SATA Controller [IDE mode]
+	1e0e  7 Series/C210 Series Chipset Family SATA Controller [RAID mode]
+	1e10  7 Series/C210 Series Chipset Family PCI Express Root Port 1
+		1043 1477  N56VZ
+		1043 1517  Zenbook Prime UX31A
+		1043 84ca  P8H77-I Motherboard
+	1e12  7 Series/C210 Series Chipset Family PCI Express Root Port 2
+		1043 1477  N56VZ
+		1043 1517  Zenbook Prime UX31A
+	1e14  7 Series/C210 Series Chipset Family PCI Express Root Port 3
+	1e16  7 Series/C210 Series Chipset Family PCI Express Root Port 4
+		1043 1477  N56VZ
+	1e18  7 Series/C210 Series Chipset Family PCI Express Root Port 5
+		1043 84ca  P8H77-I Motherboard
+	1e1a  7 Series/C210 Series Chipset Family PCI Express Root Port 6
+	1e1c  7 Series/C210 Series Chipset Family PCI Express Root Port 7
+	1e1e  7 Series/C210 Series Chipset Family PCI Express Root Port 8
+	1e20  7 Series/C210 Series Chipset Family High Definition Audio Controller
+		1043 1477  N56VZ
+		1043 1517  Zenbook Prime UX31A
+		1043 8415  P8H77-I Motherboard
+	1e22  7 Series/C210 Series Chipset Family SMBus Controller
+		1043 1477  N56VZ
+		1043 1517  Zenbook Prime UX31A
+		1043 84ca  P8H77-I Motherboard
+	1e24  7 Series/C210 Series Chipset Family Thermal Management Controller
+		1043 1517  Zenbook Prime UX31A
+	1e25  7 Series/C210 Series Chipset Family DMI to PCI Bridge
+	1e26  7 Series/C210 Series Chipset Family USB Enhanced Host Controller #1
+		1043 1477  N56VZ
+		1043 1517  Zenbook Prime UX31A
+		1043 84ca  P8H77-I Motherboard
+	1e2d  7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2
+		1043 1477  N56VZ
+		1043 1517  Zenbook Prime UX31A
+		1043 84ca  P8H77-I Motherboard
+	1e31  7 Series/C210 Series Chipset Family USB xHCI Host Controller
+		1043 1477  N56VZ
+		1043 1517  Zenbook Prime UX31A
+		1043 84ca  P8H77-I Motherboard
+	1e33  7 Series/C210 Series Chipset Family LAN Controller
+	1e3a  7 Series/C210 Series Chipset Family MEI Controller #1
+		1043 1477  N56VZ
+		1043 1517  Zenbook Prime UX31A
+		1043 84ca  P8H77-I Motherboard
+	1e3b  7 Series/C210 Series Chipset Family MEI Controller #2
+	1e3c  7 Series/C210 Series Chipset Family IDE-r Controller
+	1e3d  7 Series/C210 Series Chipset Family KT Controller
+	1e41  7 Series Chipset Family LPC Controller
+	1e42  7 Series Chipset Family LPC Controller
+	1e43  7 Series Chipset Family LPC Controller
+	1e44  Z77 Express Chipset LPC Controller
+	1e45  7 Series Chipset Family LPC Controller
+	1e46  Z75 Express Chipset LPC Controller
+	1e47  Q77 Express Chipset LPC Controller
+	1e48  Q75 Express Chipset LPC Controller
+	1e49  B75 Express Chipset LPC Controller
+	1e4a  H77 Express Chipset LPC Controller
+		1043 84ca  P8H77-I Motherboard
+	1e4b  7 Series Chipset Family LPC Controller
+	1e4c  7 Series Chipset Family LPC Controller
+	1e4d  7 Series Chipset Family LPC Controller
+	1e4e  7 Series Chipset Family LPC Controller
+	1e4f  7 Series Chipset Family LPC Controller
+	1e50  7 Series Chipset Family LPC Controller
+	1e51  7 Series Chipset Family LPC Controller
+	1e52  7 Series Chipset Family LPC Controller
+	1e53  C216 Series Chipset LPC Controller
+	1e54  7 Series Chipset Family LPC Controller
+	1e55  QM77 Express Chipset LPC Controller
+	1e56  QS77 Express Chipset LPC Controller
+	1e57  HM77 Express Chipset LPC Controller
+	1e58  UM77 Express Chipset LPC Controller
+	1e59  HM76 Express Chipset LPC Controller
+		1043 1477  N56VZ
+		1043 1517  Zenbook Prime UX31A
+	1e5a  7 Series Chipset Family LPC Controller
+	1e5b  UM77 Express Chipset LPC Controller
+	1e5c  7 Series Chipset Family LPC Controller
+	1e5d  HM75 Express Chipset LPC Controller
+	1e5e  7 Series Chipset Family LPC Controller
+	1e5f  7 Series Chipset Family LPC Controller
+	1f00  Avoton SSA-Cunit
+	1f01  Avoton SSA-Cunit
+	1f02  Avoton SSA-Cunit
+	1f03  Avoton SSA-Cunit
+	1f04  Avoton SSA-Cunit
+	1f05  Avoton SSA-Cunit
+	1f06  Avoton SSA-Cunit
+	1f07  Avoton SSA-Cunit
+	1f08  Avoton SSA-Cunit
+	1f09  Avoton SSA-Cunit
+	1f0a  Avoton SSA-Cunit
+	1f0b  Avoton SSA-Cunit
+	1f0c  Avoton SSA-Cunit
+	1f0d  Avoton SSA-Cunit
+	1f0e  Avoton SSA-Cunit
+	1f0f  Avoton SSA-Cunit
+	1f10  Avoton PCIe Root Port 1
+	1f11  Avoton PCIe Root Port 2
+	1f12  Avoton PCIe Root Port 3
+	1f13  Avoton PCIe Root Port 4
+	1f14  Avoton RAS
+	1f15  Avoton SMBus 2.0
+	1f16  Avoton RCEC
+	1f18  Avoton nCPM
+	1f19  Avoton nCPM
+	1f20  Avoton 4-Port IDE SATA2 Controller
+	1f21  Avoton 4-Port IDE SATA2 Controller
+	1f22  Avoton AHCI SATA2 Controller
+	1f23  Avoton AHCI SATA2 Controller
+	1f24  Avoton RAID SATA2 Controller
+	1f25  Avoton RAID SATA2 Controller
+	1f26  Avoton RAID SATA2 Controller
+	1f27  Avoton RAID SATA2 Controller
+	1f2c  Avoton USB Enhanced Host Controller
+	1f2e  Avoton RAID SATA2 Controller
+	1f2f  Avoton RAID SATA2 Controller
+	1f30  Avoton 2-Port IDE SATA3 Controller
+	1f31  Avoton 2-Port IDE SATA3 Controller
+	1f32  Avoton AHCI SATA3 Controller
+	1f33  Avoton AHCI SATA3 Controller
+	1f34  Avoton RAID SATA3 Controller
+	1f35  Avoton RAID SATA3 Controller
+	1f36  Avoton RAID SATA3 Controller
+	1f37  Avoton RAID SATA3 Controller
+	1f38  Avoton PCU
+	1f39  Avoton PCU
+	1f3a  Avoton PCU
+	1f3b  Avoton PCU
+	1f3c  Avoton PCU SMBus
+	1f3d  Avoton PCU SMBus
+	1f3e  Avoton RAID SATA3 Controller
+	1f3f  Avoton RAID SATA3 Controller
+	1f40  Avoton GbE x4 1000base-KX
+	1f41  Avoton GbE x4 SGMII
+	1f42  Avoton GbE
+	1f43  Avoton GbE EEPROM-less
+	1f44  Avoton GbE Virtual Function
+	1f45  Avoton GbE 2500base-KX
+	2250  Xeon Phi Coprocessor 5100 Series
+	225c  Xeon Phi coprocessor SE10/7120 series
+	225d  Xeon Phi coprocessor 3120 series 
 	2310  DH89xxCC LPC Controller
 	2323  DH89xxCC 4 Port SATA AHCI Controller
 	2330  DH89xxCC SMBus Controller
@@ -16916,6 +19531,26 @@
 	2360  DH89xxCC Watchdog Timer
 	2364  DH89xxCC MEI 0
 	2365  DH89xxCC MEI 1
+	2390  Coleto Creek LPC Controller
+	23a1  Coleto Creek 2-Port SATA Controller [IDE Mode]
+	23a3  Coleto Creek 4-Port SATA Controller [AHCI Mode]
+	23a6  Coleto Creek 2-Port SATA Controller [IDE Mode]
+	23b0  Coleto Creek SMBus Controller
+	23b1  Coleto Creek CHAP Counter
+	23b2  Coleto Creek Thermal Management Controller
+	23b4  Coleto Creek USB2 Enhanced Host Controller #1
+	23b5  Coleto Creek USB2 Enhanced Host Controller #1
+	23c2  Coleto Creek PCI Express Root Port #1
+	23c3  Coleto Creek PCI Express Root Port #1
+	23c4  Coleto Creek PCI Express Root Port #2
+	23c5  Coleto Creek PCI Express Root Port #2
+	23c6  Coleto Creek PCI Express Root Port #3
+	23c7  Coleto Creek PCI Express Root Port #3
+	23c8  Coleto Creek PCI Express Root Port #4
+	23c9  Coleto Creek PCI Express Root Port #4
+	23e0  Coleto Creek Watchdog Timer
+	23e4  Coleto Creek MEI Controller #1
+	23e5  Coleto Creek MEI Controller #2
 	2410  82801AA ISA Bridge (LPC)
 	2411  82801AA IDE Controller
 	2412  82801AA USB Controller
@@ -16995,16 +19630,19 @@
 		104d 80df  Vaio PCG-FX403
 	2448  82801 Mobile PCI Bridge
 		1028 040b  Latitude E6510
-# (rev d3) (prog-if (rev d3) (prog-if 01 [Subtractive decode])
 		103c 0934  HP Compaq nw8240 Mobile Workstation
 		103c 099c  NX6110/NC6120
 		103c 309f  Compaq nx9420 Notebook
 		103c 30a3  Compaq nw8440
 		103c 30c1  Compaq 6910p
 		104d 902d  VAIO VGN-NR120E
+		105b 0d7c  D270S/D250S Motherboard
 		144d c00c  P30 notebook
+		144d c072  Notebook N150P
+		1458 5000  GA-D525TUD
 		1734 1055  Amilo M1420
 		17aa 20ae  ThinkPad T61
+		8086 544b  Desktop Board D425KT
 		e4bf cc47  CCG-RUMBA
 	2449  82801BA/BAM/CA/CAM Ethernet Controller
 		0e11 0012  EtherExpress PRO/100 VM
@@ -17057,9 +19695,14 @@
 		1014 0267  NetVista A30p
 		1028 020d  Inspiron 530
 		1028 0211  Optiplex 755
+		1028 02da  OptiPlex 980
 		103c 2a3b  Pavilion A1512X
+		103c 31fe  ProLiant DL140 G3
 		103c 330b  ProLiant ML150 G6 Server
-		1458 5000  GA-EP45-DS5 Motherboard
+# same ID possibly also on other ASUS boards
+		1043 8277  P5K PRO Motherboard
+		1458 5000  Motherboard
+		15d9 9680  X7DBN Motherboard
 		1775 11cc  CC11/CL11
 	2450  82801E ISA Bridge (LPC)
 	2452  82801E USB Controller
@@ -17210,7 +19853,7 @@
 		103c 088c  NC8000 laptop
 		103c 0890  NC6000 laptop
 		103c 08b0  tc1100 tablet
-		1043 1713  M6800N
+		1043 1713  M2400N/M6800N laptop
 		1043 80b0  P4B533
 		1071 8160  MIM2000
 		1179 0201  Toshiba Tecra M1
@@ -17231,6 +19874,7 @@
 		103c 088c  NC8000 laptop
 		103c 0890  NC6000 laptop
 		103c 08b0  tc1100 tablet
+		1043 1716  M2400N laptop
 		1043 1826  M6800N
 		1071 8160  MIM2000
 		134d 4c21  Latitude D500
@@ -17322,6 +19966,7 @@
 		1028 0169  Precision 470
 		1028 019a  PowerEdge SC1425
 		103c 12bc  d530 CMT (DG746A)
+		103c 3208  ProLiant DL140 G2
 		1043 80a6  P4P800 series motherboard
 		1458 24d1  GA-8IPE1000 Pro2 motherboard (865PE)
 		1462 7280  865PE Neo2 (MS-6728)
@@ -17343,6 +19988,7 @@
 		1028 019a  PowerEdge SC1425
 		103c 006a  NX9500
 		103c 12bc  d530 CMT (DG746A)
+		103c 3208  ProLiant DL140 G2
 		1043 80a6  P4P800/P5P800 series motherboard
 		1458 24d2  GA-8IPE1000/8KNXP motherboard
 		1462 7280  865PE Neo2 (MS-6728)
@@ -17359,6 +20005,7 @@
 		1028 0156  Precision 360
 		1028 0169  Precision 470
 		103c 12bc  d330 uT
+		103c 3208  ProLiant DL140 G2
 		1043 80a6  P4P800/P5P800 series motherboard
 		1458 24d2  GA-8IPE1000 Pro2 motherboard (865PE)
 		1462 7280  865PE Neo2 (MS-6728)
@@ -17381,6 +20028,7 @@
 		1028 019a  PowerEdge SC1425
 		103c 006a  NX9500
 		103c 12bc  d530 CMT (DG746A)
+		103c 3208  ProLiant DL140 G2
 		1043 80a6  P4P800/P5P800 series motherboard
 		1458 24d2  GA-8IPE1000 Pro2 motherboard (865PE)
 		1462 7280  865PE Neo2 (MS-6728)
@@ -17464,6 +20112,7 @@
 		1028 019a  PowerEdge SC1425
 		103c 006a  NX9500
 		103c 12bc  d530 CMT (DG746A)
+		103c 3208  ProLiant DL140 G2
 		1043 80a6  P4P800/P5P800 series motherboard
 		1458 5006  GA-8IPE1000 Pro2 motherboard (865PE)
 		1462 7280  865PE Neo2 (MS-6728)
@@ -17598,18 +20247,21 @@
 		e4bf 58b1  XB1
 	25a1  6300ESB LPC Interface Controller
 	25a2  6300ESB PATA Storage Controller
+		1734 1073  Primergy Econel 200 D2020 mainboard
 		1775 10d0  V5D Single Board Computer IDE
 		1775 1100  CR11/VR11 Single Board Computer
 		1775 ce90  CE9
 		4c53 10b0  CL9 mainboard
 		4c53 10e0  PSL09 PrPMC
 	25a3  6300ESB SATA Storage Controller
+		1734 1073  Primergy Econel 200 D2020 mainboard
 		1775 1100  CR11/VR11 Single Board Computer
 		1775 ce90  CE9
 		4c53 10b0  CL9 mainboard
 		4c53 10d0  Telum ASLP10 Processor AMC
 		4c53 10e0  PSL09 PrPMC
 	25a4  6300ESB SMBus Controller
+		1734 1073  Primergy Econel 200 D2020 mainboard
 		1775 10d0  V5D Single Board Computer
 		1775 1100  CR11/VR11 Single Board Computer
 		1775 ce90  CE9
@@ -17622,6 +20274,7 @@
 		4c53 10b0  CL9 mainboard
 	25a7  6300ESB AC'97 Modem Controller
 	25a9  6300ESB USB Universal Host Controller
+		1734 1073  Primergy Econel 200 D2020 mainboard
 		1775 10d0  V5D Single Board Computer USB
 		1775 1100  CR11/VR11 Single Board Computer
 		1775 ce90  CE9
@@ -17629,12 +20282,14 @@
 		4c53 10d0  Telum ASLP10 Processor AMC
 		4c53 10e0  PSL09 PrPMC
 	25aa  6300ESB USB Universal Host Controller
+		1734 1073  Primergy Econel 200 D2020 mainboard
 		1775 1100  CR11/VR11 Single Board Computer
 		1775 ce90  CE9
 		4c53 10b0  CL9 mainboard
 		4c53 10d0  Telum ASLP10 Processor AMC
 		4c53 10e0  PSL09 PrPMC
 	25ab  6300ESB Watchdog Timer
+		1734 1073  Primergy Econel 200 D2020 mainboard
 		1775 10d0  V5D Single Board Computer
 		1775 1100  CR11/VR11 Single Board Computer
 		1775 ce90  CE9
@@ -17642,6 +20297,7 @@
 		4c53 10d0  Telum ASLP10 Processor AMC
 		4c53 10e0  PSL09 PrPMC
 	25ac  6300ESB I/O Advanced Programmable Interrupt Controller
+		1734 1073  Primergy Econel 200 D2020 mainboard
 		1775 10d0  V5D Single Board Computer
 		1775 1100  CR11/VR11 Single Board Computer
 		1775 ce90  CE9
@@ -17649,6 +20305,7 @@
 		4c53 10d0  Telum ASLP10 Processor AMC
 		4c53 10e0  PSL09 PrPMC
 	25ad  6300ESB USB2 Enhanced Host Controller
+		1734 1073  Primergy Econel 200 D2020 mainboard
 		1775 10d0  V5D Single Board Computer USB 2.0
 		1775 1100  CR11/VR11 Single Board Computer
 		1775 ce90  CE9
@@ -17665,7 +20322,8 @@
 	25d4  5000V Chipset Memory Controller Hub
 		15d9 8680  X7DVL-E-O motherboard
 	25d8  5000P Chipset Memory Controller Hub
-		8086 3476  Intel S5000PSLSATA Server Board
+		15d9 9680  X7DBN Motherboard
+		8086 3476  S5000PSLSATA Server Board
 	25e2  5000 Series Chipset PCI Express x4 Port 2
 	25e3  5000 Series Chipset PCI Express x4 Port 3
 	25e4  5000 Series Chipset PCI Express x4 Port 4
@@ -17674,20 +20332,30 @@
 	25e7  5000 Series Chipset PCI Express x4 Port 7
 	25f0  5000 Series Chipset FSB Registers
 		1028 01bb  PowerEdge 1955 FSB Registers
+		103c 31fd  ProLiant DL140 G3
 		15d9 8680  X7DVL-E-O motherboard
-		8086 3476  Intel S5000PSLSATA Server Board
+		15d9 9680  X7DBN Motherboard
+		8086 3476  S5000PSLSATA Server Board
 	25f1  5000 Series Chipset Reserved Registers
+		103c 31fd  ProLiant DL140 G3
 		15d9 8680  X7DVL-E-O motherboard
-		8086 3476  Intel S5000PSLSATA Server Board
+		15d9 9680  X7DBN Motherboard
+		8086 3476  S5000PSLSATA Server Board
 	25f3  5000 Series Chipset Reserved Registers
+		103c 31fd  ProLiant DL140 G3
 		15d9 8680  X7DVL-E-O motherboard
-		8086 3476  Intel S5000PSLSATA Server Board
+		15d9 9680  X7DBN Motherboard
+		8086 3476  S5000PSLSATA Server Board
 	25f5  5000 Series Chipset FBD Registers
+		103c 31fd  ProLiant DL140 G3
 		15d9 8680  X7DVL-E-O motherboard
-		8086 3476  Intel S5000PSLSATA Server Board
+		15d9 9680  X7DBN Motherboard
+		8086 3476  S5000PSLSATA Server Board
 	25f6  5000 Series Chipset FBD Registers
+		103c 31fd  ProLiant DL140 G3
 		15d9 8680  X7DVL-E-O motherboard
-		8086 3476  Intel S5000PSLSATA Server Board
+		15d9 9680  X7DBN Motherboard
+		8086 3476  S5000PSLSATA Server Board
 	25f7  5000 Series Chipset PCI Express x8 Port 2-3
 	25f8  5000 Series Chipset PCI Express x8 Port 4-5
 	25f9  5000 Series Chipset PCI Express x8 Port 6-7
@@ -17884,11 +20552,15 @@
 		e4bf 0cd3  CD3-JIVE
 		e4bf 58b1  XB1
 	2670  631xESB/632xESB/3100 Chipset LPC Interface Controller
+		103c 31fe  ProLiant DL140 G3
 		15d9 8680  X7DVL-E-O motherboard
+		15d9 9680  X7DBN Motherboard
 		8086 3476  Intel S5000PSLSATA Server Board
 	2680  631xESB/632xESB/3100 Chipset SATA IDE Controller
 	2681  631xESB/632xESB SATA AHCI Controller
+		103c 31fe  ProLiant DL140 G3
 		15d9 8680  X7DVL-E-O motherboard
+		15d9 9680  X7DBN Motherboard
 		8086 3476  Intel S5000PSLSATA Server Board
 	2682  631xESB/632xESB SATA RAID Controller
 		103c 31fe  Adaptec Serial ATA HostRAID
@@ -17896,16 +20568,22 @@
 	2688  631xESB/632xESB/3100 Chipset UHCI USB Controller #1
 		1028 01bb  PowerEdge 1955 onboard USB
 		1028 01f0  PowerEdge R900 onboard USB
+		103c 31fe  ProLiant DL140 G3
 		15d9 8680  X7DVL-E-O motherboard
+		15d9 9680  X7DBN Motherboard
 		8086 3476  Intel S5000PSLSATA Server Board
 	2689  631xESB/632xESB/3100 Chipset UHCI USB Controller #2
 		1028 01bb  PowerEdge 1955 onboard USB
 		1028 01f0  PowerEdge R900 onboard USB
+		103c 31fe  ProLiant DL140 G3
 		15d9 8680  X7DVL-E-O motherboard
+		15d9 9680  X7DBN Motherboard
 		8086 3476  Intel S5000PSLSATA Server Board
 	268a  631xESB/632xESB/3100 Chipset UHCI USB Controller #3
 		1028 01f0  PowerEdge R900 onboard USB
+		103c 31fe  ProLiant DL140 G3
 		15d9 8680  X7DVL-E-O motherboard
+		15d9 9680  X7DBN Motherboard
 		8086 3476  Intel S5000PSLSATA Server Board
 	268b  631xESB/632xESB/3100 Chipset UHCI USB Controller #4
 		1028 01f0  PowerEdge R900 onboard USB
@@ -17914,20 +20592,29 @@
 	268c  631xESB/632xESB/3100 Chipset EHCI USB2 Controller
 		1028 01bb  PowerEdge 1955 onboard USB
 		1028 01f0  PowerEdge R900 onboard USB
+		103c 31fe  ProLiant DL140 G3
 		15d9 8680  X7DVL-E-O motherboard
+		15d9 9680  X7DBN Motherboard
 		8086 3476  Intel S5000PSLSATA Server Board
 	2690  631xESB/632xESB/3100 Chipset PCI Express Root Port 1
+		103c 31fe  ProLiant DL140 G3
+		15d9 9680  X7DBN Motherboard
 	2692  631xESB/632xESB/3100 Chipset PCI Express Root Port 2
+		103c 31fe  ProLiant DL140 G3
 	2694  631xESB/632xESB/3100 Chipset PCI Express Root Port 3
 	2696  631xESB/632xESB/3100 Chipset PCI Express Root Port 4
 	2698  631xESB/632xESB AC '97 Audio Controller
 	2699  631xESB/632xESB AC '97 Modem Controller
 	269a  631xESB/632xESB High Definition Audio Controller
 	269b  631xESB/632xESB/3100 Chipset SMBus Controller
+		103c 31fe  ProLiant DL140 G3
 		15d9 8680  X7DVL-E-O motherboard
+		15d9 9680  X7DBN Motherboard
 		8086 3476  Intel S5000PSLSATA Server Board
 	269e  631xESB/632xESB IDE Controller
+		103c 31fe  ProLiant DL140 G3
 		15d9 8680  X7DVL-E-O motherboard
+		15d9 9680  X7DBN Motherboard
 	2770  82945G/GZ/P/PL Memory Controller Hub
 		1028 01ad  OptiPlex GX620
 		103c 2a3b  Pavilion A1512X
